package com.skr.mdm.service.impl.reload;

import com.skr.mdm.bean.so.ReloadSO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author nfq
 * @date 2022/06/10 11:36
 */
@Component
@Slf4j
public class ReloadHandlerChain {

    public static List<ReloadHandler> reloadHandlerList = new ArrayList<>(30);

    public void doReloadHandler(ReloadSO reloadSO, Integer equipmentId) {
        for (ReloadHandler reloadHandler : reloadHandlerList) {
            reloadHandler.doHandler(reloadSO, equipmentId);
        }
    }

}
